import { CoreStaticHeader } from '#/components/core/core-static-header.component';
import { CoreStaticFooter } from '#/components/core/core-static-footer.component';
import { AuthRegisterModal } from '#/components/auth/auth-register-modal.component';
import { AuthLoginModal } from '#/components/auth/auth-login-modal.component';

import gridPng from '#/assets/images/grid.png';

import type { ReactNode } from 'react';
import type { Metadata } from 'next';

const bgStyle = { backgroundImage: `url(${gridPng.src})` };

export const metadata: Metadata = {
  title: process.env.NEXT_PUBLIC_META_TITLE,
  // description: 'Generated by create next app',
};

export default function RootLayout({ children }: { children: ReactNode }) {
  return (
    <>
      <CoreStaticHeader />
      <main id='main' className='relative min-h-[850px]'>
        <div
          style={bgStyle}
          className='absolute top-0 flex items-end w-full h-[861px] bg-backdrop-focus'
        >
          <div className='w-full h-[681px] bg-gradient-to-t from-backdrop to-transparent' />
        </div>
        <div className='relative z-10'>{children}</div>
      </main>
      <CoreStaticFooter />
      <AuthRegisterModal />
      <AuthLoginModal />
    </>
  );
}
